/*
 Theme Name:   Qbrick Starter
 Theme URI:    http://qbrickstudio.com
 Description:  GeneratePress child theme
 Author:       Qbrick Studio
 Author URI:   http://qbrickstudio.com/#
 Template:     generatepress
 Version:      0.1
*/

/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# GP-FIX
# COOKIE BANNER
# HEADER
# MENU
# PAGINATION
# SIDEBAR
# BLOG
# ELEMENTS
# ANIMATION
# CUSTOM
--------------------------------------------------------------*/

* {
	-webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
*:before,
*:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
  
.widget .search-field {
    width: 100% !important;
}

.copyright-bar {
    width: 100%;
}

.footer-widgets-container {
    padding-left: 20px;
    padding-right: 20px;
}

/*.entry-content > [class*="wp-block-"]:not(:last-child) {
    margin-bottom: 0 !important;
}*/

.compact-width .inside-article {
    max-width: 800px;
    margin: 0 auto;
}

@media (max-width: 850px){
    .container-small{
        max-width: 600px;
		margin-left: auto;
		margin-right: auto;
    }
}

.grid-container.grid-padding{
    padding-left: 20px;
    padding-right: 20px;
}
@media (max-width: 768px){
    .grid-container.grid-padding{
        padding-left: 30px;
        padding-right: 30px;
    }
}

/*Align Full fix */
.home .wrapper-full{
    margin-top:-20px;
}
.wrapper-full{
    overflow:hidden;
}
.fullwidth {
    margin-left: calc(-100vw/2 + 100%/2) !important;
    margin-right: calc(-100vw/2 + 100%/2) !important;
    max-width: 100vw !important;
    width: auto !important;
}

/*Margin top fix */
#main .primo{
	margin-top:-60px;
}
/*@media (max-width: 769px){
	#main .primo{
	margin-top:-60px;
	}
}*/

/*No margin bottom page */
.home .inside-article{
	padding-bottom:0 !important;
}
.home #main{
	margin-bottom:0 !important;
}

/*Checkbox fix*/
input[type="checkbox"] {
    width: 13px !important;
    -webkit-appearance: checkbox !important;
}

.swiper-slide{
	-webkit-transform: translate3d(0, 0, 0);
}

/*home fix*/
.home .inside-article{
	padding-top:0 !important;
    background: transparent;
}
.home #main{
	margin-top:0 !important;
}

strong{
    font-family: 'Avant Garde DM';
}

/*--------------------------------------------------------------
# HEADER
--------------------------------------------------------------*/

.home-header, .home #masthead{
	height:550px;
}
#masthead{
	display:flex;
    border-bottom: 1px solid var(--colore-1);
}
.single-bandi #masthead{
    border-bottom: none;
    margin-top: 42px;
}
.post-type-archive-bandi #masthead,
.page-id-323 #masthead{
    margin-top: 42px;
}
.site-logo {
  max-width: 350px;
}
.home .site-logo {
    margin-top: 0 !important;
	max-width:100%;
}

/*--------------------------------------------------------------
# Barra Superiore
--------------------------------------------------------------*/

.top-line {
    background: var(--colore-1);
    color: #fff;
    font-size: 15px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 200;
}

.top-line .grid-container {
    padding: 10px 20px;
    text-align: right;
}

.top-line span:not(:last-child) {
    padding-right: 20px;
}

.top-line a{
    color:#fff;
    font-weight: bold;
    text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 14px;
}
.top-line a:hover{
    color:#ddd;
}


/*--------------------------------------------------------------
# FOOTER
--------------------------------------------------------------*/

.footer-box {
    background: var(--colore-1);
    color: #fff;
    padding: 60px 0;
}

.site-info{
	padding-bottom: 60px;
}

/* Copyright */

.copy-box {
    text-align:left;
}
.website-by {
    text-align:right;
	font-size: 12px;
	font-style: italic;
	line-height: 24.5px;
}
.website-by a svg {
    height: 11px;
}
@media (max-width: 900px){
	.copy-box, .website-by {
    	text-align:center;
	}
}
.copyright-bar a:hover{
	color:#fff;
	opacity:0.6;
}

/*--------------------------------------------------------------
# MENU
--------------------------------------------------------------*/

.main-navigation .menu-bar-items {
    order: 2;
}

/* Social menu */

.social-menu ul {
    list-style: none;
    margin: 0;
}
.social-menu ul::after {
    display: block;
    content: "";
    clear: both;
}
.social-menu ul li {
    float: left;
    padding: 0 5px;
}
.copyright-bar .social-menu ul {
    display: table;
    margin: 0 auto;
}

/* Social menu 

.social-menu ul {
    list-style: none;
    margin: 0;
}
.social-menu ul::after {
    display: block;
    content: "";
    clear: both;
}
.social-menu ul li {
    float: left;
    padding-right: 5px;
}*/

/*--------------------------------------------------------------
# BLOG
--------------------------------------------------------------*/

.single-post .posted-on::before {
    content: 'Pubblicato il ';
	font-style: italic;
}
.single-post #main {
    margin-right: 60px;
}
.single-post .inside-right-sidebar {
    padding-top: 70px;
}
.widget_recent_entries li {
    padding: 10px 0 !important;
    border-bottom: 1px solid #ddd;
}

@media (max-width: 768px){
    .single-post #main {
        margin-right: 0;
    }
    .single-post .inside-right-sidebar {
        padding-top: 40px;
    }
}

/*stycky*/
article.sticky {
    width: 100% !important;
    margin-bottom: 0 !important;
}
.sticky .inside-article {
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.sticky .wp-block-group {
    background: #eeee;
}
.sticky .wp-block-group__inner-container {
    padding: 40px;
    text-align: center;
}
.sticky .wp-block-group {
    background: #eee;
    display: flex;
    align-items: center;
}
@media (max-width: 768px){
    .sticky .inside-article {
        grid-template-columns: 100%;
    }
}


/*--------------------------------------------------------------
# PAGINATION
--------------------------------------------------------------*/

a.page-numbers, .page-numbers.current {
    display: inline-block;
    border: 1px solid #DDD;
    padding: 5px 10px !important;;
    line-height: 1;
    margin-right: 10px;
}

a.page-numbers:hover {
    background:#222;
    color: #FFF;
    border-color: #222;
}

/*SINGLE*/


#nav-below {
    padding: 0 20px;
	border-top: 3px solid var(--orange);
	padding-top: 20px;
}
.nav-previous, .nav-next{
	width:50%;
}
.nav-next {
    text-align: right;
	float:right;
}
.nav-previous {
	float:left;
}
.nav-next .next::before {
    content: none;
}
.nav-next .next::after {
    content: "\f105";
	font-family: GeneratePress;
	text-decoration: inherit;
	position: relative;
	margin-left: .6em;
	width: 13px;
	text-align: center;
	display: inline-block;
	opacity: .7;
}
.entry-meta {
    margin-bottom: 40px !important;
}

/*--------------------------------------------------------------
# COVER
--------------------------------------------------------------*/

.inner-cover .q-button{
    position: relative;
    z-index: 200;
    text-align: right;
    padding: 0 20px;
}

/*--------------------------------------------------------------
# HOME CONTAINER
--------------------------------------------------------------*/

.left-container, .right-bg{
    margin-bottom: 80px;
}
.right-bg{
    position: relative;
    z-index: 2;
    padding: 0 20px 40px;
}

.left-grid, .right-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    min-height: 500px;
}
.left-img img, .right-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.right-img img{
    box-shadow: 0px 0px 30px 0px rgba(0, 0, 0, 0.10);
}
.right-img{
    padding: 20px 20px 20px 40px; 
}
.left-img {
    padding: 20px 40px 20px 20px;
    position: relative;
    z-index: 2;
}
.left-txt{
    padding: 60px 20px 60px 40px;
}
.right-txt{
    padding: 100px 40px 20px 20px;
}
.left-txt, .right-txt{
    display: flex;
  flex-direction: column;
  justify-content: center;
}
.left-img::after {
    content: '';
    background: var(--colore-1);
    width: 80%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}
.right-bg::after {
    content: '';
    background: #eee;
    width: 100%;
    height: calc(100% - 80px);
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: -1;
}

.last-txt {
    font-family: 'Avant Garde DM';
    color: var(--colore-1);
    max-width: 800px;
    margin: 30px auto 0;
    text-align: center;
}

@media (max-width: 768px){
    .left-grid, .right-grid {
        display: grid;
        grid-template-columns: 100%;
        min-height: auto;
    }
    .left-img{
        padding: 20px 0 20px 20px;
    }
    .right-img{
        order:-1;
        padding: 0;
    }
    .right-txt, .left-txt{
        padding: 20px 0 0;
    }
}

/*--------------------------------------------------------------
# HOME CAROUSEL
--------------------------------------------------------------*/

.carousel-title {
    margin-top: 20px;
    border-bottom: 1px solid var(--colore-1);
}
.home-carousel {
    overflow: hidden;
    margin-top: 40px;
}
.carousel-container{
    position: relative;
    padding: 0 50px 10px;
    border-bottom: 1px solid var(--colore-1);
}
.carousel-number {
    display: inline-block;
    font-family: 'Avant Garde DM';
    color: var(--colore-1);
    font-size: 26px;
    margin-bottom: 10px;
}
.carousel-next, .carousel-prev{
    cursor: pointer;
    width: 30px;
    position: absolute;
    top: calc(50% - 30px);
}
.carousel-next{
    right:0;
}
.carousel-prev{
    left:0;
}

.left-container .carousel-title h4{
    text-align:right;
}
@media (max-width: 768px){
    .left-container .carousel-title h4{
        text-align:left;
    }
}

/*--------------------------------------------------------------
# Newsletter
--------------------------------------------------------------*/

.newsletter-container {
    padding: 80px 20px;
    background: #eee;
}
.newsletter-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 60px;
    row-gap: 30px;
}
.newsletter-container h2 {
    font-size: 40px;
}
.form-container {
    background: var(--colore-1);
    padding: 80px 40px 40px;
    color: #fff;
}
.form-container a{
    color:#ffffff !important;
    text-decoration: underline;
}
.form-container a:hover{
    color:#eeeeee !important;
    text-decoration: none;
}
.form-container input {
    width: 100%;
}
.newsletter-left p {
    font-size: 20px;
    line-height: 1.8em;
}

@media (max-width: 768px){
    .newsletter-grid{
        grid-template-columns: 100%;
    }
    .form-container {
        padding: 40px 20px 20px;
    }
}

.consenso-box {
    display: flex;
}
.consenso {
    padding-left: 20px;
    margin-bottom: 20px;
}

/*--------------------------------------------------------------
# Numbers
--------------------------------------------------------------*/

.number-section{
  background: var(--colore-1);
  padding: 60px 20px;
  color: #FFF;
}
.number-counter{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  text-align: center;
  grid-gap: 40px;
}
.num-txt{
  font-weight: bold;
  font-size: 40px;
}
@media (max-width: 768px){
    .number-counter{
        grid-template-columns: 100%;
      }
}

/*--------------------------------------------------------------
# Bando
--------------------------------------------------------------*/

.int-bando{
    text-align: center;
}
.light-hr, .dark-hr{
    background-color: var(--colore-1);
}
.dark-hr{
    height: 3px;
}
.incipit {
    background: #eee;
    padding: 40px 0;
    margin: 60px 0;
}
.single-bandi .inside-article{
    max-width: 1000px;
    margin: 0 auto;
    padding-top: 0;
}

.bandi-grid-2, .bandi-grid-3, .bandi-grid-full {
    display: grid;
    grid-gap: 10px;
    /*border-bottom: 1px solid #ddd;
    padding-bottom: 10px;*/
    margin-bottom: 10px;
}
.bandi-grid-2 div, .bandi-grid-3 div, .bandi-grid-full div{
    background: #eee;
    padding: 0 8px;
}
.bandi-grid-2 {
    grid-template-columns: 1fr 1fr;
}
.bandi-grid-3 {
    grid-template-columns: 1fr 1fr 1fr;
}
.bandi-buttons {
    display: flex;
    justify-content: space-between;
    padding-top: 10px;
}
.bandi-buttons .q-button a{
    text-align: center;
}

@media (max-width: 768px){
    .bandi-grid-2, .bandi-grid-3{
        grid-template-columns: 100%;
    }
    .bandi-buttons {
        display: block;
    }
    .bandi-buttons .q-button a{
        width: 100%;
        margin-bottom: 10px;
    }
    .incipit {
        padding: 40px 20px;
    }
    .bandi-grid-2, .bandi-grid-3, .bandi-grid-full {
        border-bottom: none;
    }
}


/*--------------------------------------------------------------
# Archivio Bando
--------------------------------------------------------------*/
.post-type-archive-bandi .inside-article{
    max-width: 800px;
    margin: 0 auto;
}
.bandi-item {
    margin-bottom: 60px;
    border-bottom: 1px solid var(--colore-2);
    /*background: #fee;*/
    padding: 20px;
}
.bandi-item .is-style-light {
    font-size: 22px;
    margin-bottom: 14px;
}
.bandi-arc-grid {
    display: grid;
    grid-template-columns: 1fr 1fr auto;
    grid-gap: 10px;
    font-size: small;
}
.bandi-item b {
    font-size: 12px;
    text-transform: uppercase;
    letter-spacing: 1px;
}
.bandi-item .gform_footer {
    margin: 0 !important;
}
.bandi-item .gform_heading {
    display: none;
}

.bandi-item .gform_footer input[type=submit]{
    width: calc(100% - 50px) !important;
    font-size: 17px !important;
    height: 45px !important;
    background: var(--colore-1) !important;
    margin-left: auto !important;
}
.bandi-item .gform_footer input[type=submit]:hover {
    border: 1px solid rgba(114,114,114,0.6) !important;
    background-color: var(--colore-1b) !important;
}

@media (max-width: 768px){
    .bandi-item {
        text-align: center;
    }
    .bandi-arc-grid {
        grid-template-columns: 100%;
    }
    .bandi-item .gform_footer input[type=submit]{
        margin: 0 auto !important;
    }
}


.rcp_logged_in a {
    text-transform: uppercase;
    color: #fff;
    background: var(--colore-1);
    padding: 10px 20px;
    letter-spacing: 2px;
}
.rcp_logged_in a:hover{
    background: var(--colore-1b);
}
.page-id-323 .rcp_restricted{
    display: none;
}
#rcp_profile_editor_form fieldset:first-child {
    display: none;
}
.page-id-323 .inside-article{
    max-width: 600px;
    margin: 0 auto;
    background: #eee;
    text-align: center;
}
.page-id-323 fieldset legend{
    margin:0 auto 10px;
}
.page-id-323 .rcp_form p {
    max-width: 175px;
    margin-left:auto;
    margin-right: auto;
    text-align: left;
}

/*--------------------------------------------------------------
# Restrict content
--------------------------------------------------------------*/

.rcp-no-access{
    display:none;
}